autofs-5.1.7 - fix incorrect print format specifiers in get_pkt()

From: Ian Kent <raven@themaw.net>

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG          |    1 +
 daemon/automount.c |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 680dbbd7..0dac7318 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -82,6 +82,7 @@
 - eliminate some more alloca usage.
 - use default stack size for threads.
 - fix use of possibly NULL var in lookup_program.c:match_key().
+- fix incorrect print format specifiers in get_pkt().
 
 25/01/2021 autofs-5.1.7
 - make bind mounts propagation slave by default.
diff --git a/daemon/automount.c b/daemon/automount.c
index d7432350..45e0833f 100644
--- a/daemon/automount.c
+++ b/daemon/automount.c
@@ -1116,7 +1116,7 @@ static int get_pkt(struct autofs_point *ap, union autofs_v5_packet_union *pkt)
 				estr = strerror_r(errno, buf, MAX_ERR_BUF);
 				error(ap->logopt,
 				      "read error on state pipe, "
-				      "read %u, error %s",
+				      "read %lu, error %s",
 				      read, estr);
 				st_mutex_unlock();
 				continue;
@@ -1134,7 +1134,7 @@ static int get_pkt(struct autofs_point *ap, union autofs_v5_packet_union *pkt)
 				estr = strerror_r(errno, buf, MAX_ERR_BUF);
 				error(ap->logopt,
 				      "read error on request pipe, "
-				      "read %u, expected %u error %s",
+				      "read %lu, expected %lu error %s",
 				       read, kpkt_len, estr);
 			}
 			return read;
